Bug 1420329 - Review Request: python-django-cors-headers - A Django application for handling the CORS headers
Summary: Review Request: python-django-cors-headers - A Django application for handlin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 13:17 UTC by Ralph Bean
Modified: 2017-03-22 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-22 19:21:01 UTC
Type: ---
dcallagh: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2017-02-08 13:17:53 UTC
Spec URL: http://ralph.fedorapeople.org//python-django-cors-headers.spec
SRPM URL: http://ralph.fedorapeople.org//python-django-cors-headers-1.1.0-2.fc25.src.rpm

Description:
django-cors-headers is a Django application for handling the server headers
required for Cross-Origin Resource Sharing (CORS).

Comment 1 Ralph Bean 2017-02-08 13:17:56 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=17674411

Comment 2 Dan Callaghan 2017-02-09 17:45:43 UTC
It looks like the latest upstream version is 2.0.2:

https://pypi.python.org/pypi/django-cors-headers/2.0.2

Did you want to package that instead?

Comment 4 Dan Callaghan 2017-02-17 13:50:53 UTC
Looks like you are missing

%license LICENSE.txt

in both subpackages, maybe consider also

%doc README.rst HISTORY.rst

Also note that EPEL7 has a functional Python 3 stack, you could consider changing the conditionals to enable Python 3 subpackage on EPEL7.

rpmlint has some complaints about the Summary:

python2-django-cors-headers.noarch: W: summary-not-capitalized C django-cors-headers is a Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS).
python2-django-cors-headers.noarch: W: summary-ended-with-dot C django-cors-headers is a Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS).
python2-django-cors-headers.noarch: E: summary-too-long C django-cors-headers is a Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS).

How about this instead:

Summary: Django application for handling Cross-Origin Resource Sharing (CORS) headers

Everything else looks good.

Comment 5 Ralph Bean 2017-02-28 13:09:27 UTC
Thanks!  Here's a new release with fixed summary and fixed license and doc declarations.

I'd rather not get into the EPEL7 python3 stack since I don't directly need it.  Missing py3 deps can become a rathole.

Spec URL: http://threebean.org/rpm/SPECS/python-django-cors-headers.spec
SRPM URL: http://threebean.org/rpm/SRPMS/python-django-cors-headers-2.0.2-2.fc25.src.rpm

Comment 6 Dan Callaghan 2017-02-28 20:45:48 UTC
(In reply to Ralph Bean from comment #5)
> I'd rather not get into the EPEL7 python3 stack since I don't directly need
> it.  Missing py3 deps can become a rathole.

Fair enough... although the reason they are missing is because nobody wants to add them I guess. :-)

Comment 7 Dan Callaghan 2017-02-28 21:39:22 UTC
rpmlint has some complaints about LICENSE.txt being executable and having CRLF line endings. It seems to be this way in the upstream tarball so up to you if you want to chmod and dos2unix it in %prep or keep it as upstream ships it.

There is also no Requires onto python-django. It's probably not necessary (if someone wants this package, they must already be requiring Django as well) but I guess this imports a bunch of Django modules so from that PoV it should require python-django. On the other hand, if we have multiple Django versions in compat packages (as in EPEL currently, for example) hard requiring one version doesn't make sense. So up to you.

APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-django-cors-headers-2.0.2-2.fc26.noarch.rpm
          python3-django-cors-headers-2.0.2-2.fc26.noarch.rpm
          python-django-cors-headers-2.0.2-2.fc26.src.rpm
python2-django-cors-headers.noarch: E: script-without-shebang /usr/share/licenses/python2-django-cors-headers/LICENSE.txt
python2-django-cors-headers.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/python2-django-cors-headers/LICENSE.txt
python3-django-cors-headers.noarch: E: script-without-shebang /usr/share/licenses/python3-django-cors-headers/LICENSE.txt
python3-django-cors-headers.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/python3-django-cors-headers/LICENSE.txt
3 packages and 0 specfiles checked; 4 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-django-cors-headers.noarch: E: script-without-shebang /usr/share/licenses/python3-django-cors-headers/LICENSE.txt
python3-django-cors-headers.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/python3-django-cors-headers/LICENSE.txt
python2-django-cors-headers.noarch: E: script-without-shebang /usr/share/licenses/python2-django-cors-headers/LICENSE.txt
python2-django-cors-headers.noarch: E: wrong-script-end-of-line-encoding /usr/share/licenses/python2-django-cors-headers/LICENSE.txt
2 packages and 0 specfiles checked; 4 errors, 0 warnings.



Requires
--------
python3-django-cors-headers (rpmlib, GLIBC filtered):
    python(abi)

python2-django-cors-headers (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-django-cors-headers:
    python3-django-cors-headers
    python3.6dist(django-cors-headers)
    python3dist(django-cors-headers)

python2-django-cors-headers:
    python-django-cors-headers
    python2-django-cors-headers
    python2.7dist(django-cors-headers)
    python2dist(django-cors-headers)



Source checksums
----------------
https://pypi.io/packages/source/d/django-cors-headers/django-cors-headers-2.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : a9613cfca9eca3b3f1b32fdd5c5bfac4cbc22d2e27e64f297cf2acd90aa72d76
  CHECKSUM(SHA256) upstream package : a9613cfca9eca3b3f1b32fdd5c5bfac4cbc22d2e27e64f297cf2acd90aa72d76


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1420329
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Gwyn Ciesla 2017-03-06 17:59:29 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-django-cors-headers

Comment 9 Fedora Update System 2017-03-06 22:02:55 UTC
python-django-cors-headers-2.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b15eded975

Comment 10 Fedora Update System 2017-03-07 14:22:09 UTC
python-django-cors-headers-2.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b15eded975

Comment 11 Fedora Update System 2017-03-22 19:21:01 UTC
python-django-cors-headers-2.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.